%define upstream_name Youri-Repository
%define upstream_version 0.1.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Packages repository abstraction layer
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://youri.zarb.or/download/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Youri::Package)
BuildRequires: perl(version)
BuildRequires: perl(UNIVERSAL::require)
Requires:   perl-version
BuildArch:  noarch

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This class provides an uniform view over various kind of packages repository.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files 
%doc ChangeLog META.yml README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.3-3.mga8
+ Revision: 1507080
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.3-2.mga7
+ Revision: 1287478
- Mageia 7 Mass Rebuild

* Sat Oct 28 2017 guillomovitch <guillomovitch> 0.1.3-1.mga7
+ Revision: 1174451
- new version 0.1.3

* Sun Jun 19 2016 pterjan <pterjan> 0.1.1-8.mga6
+ Revision: 1036191
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.1.1-7.mga6
+ Revision: 972297
- Mageia 6 Mass Rebuild

* Mon Nov 02 2015 blino <blino> 0.1.1-6.mga6
+ Revision: 897307
- update pterjan's patch to uniquify the replaced packages return and thus fix tests
- add get_target_arches() method to list per-target arches and use it
  get_extra_arches() was using a global list of arches, while each
  target can have a different set of arches.
- add patch from pterjan to handle noarch packages in replaced packages

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-5.mga5
+ Revision: 744418
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-4.mga5
+ Revision: 687000
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.1-3.mga4
+ Revision: 516347
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.1-2.mga3
+ Revision: 375335
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 18 2012 pterjan <pterjan> 0.1.1-1.mga2
+ Revision: 210434
- BuildRequire perl-UNIVERSAL-require

* Sat Feb 18 2012 pterjan <pterjan> 0.1.1-0.mga2
+ Revision: 210419
- Update to 0.1.1

* Sun Feb 27 2011 pterjan <pterjan> 0.1.0-5.mga1
+ Revision: 61151
- fixspec
- Drop old stuff
- imported package perl-Youri-Repository
+ jquelin <jquelin>
- imported package perl-Youri-Repository


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-5mdv2010.0
+ Revision: 430676
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-4mdv2009.0
+ Revision: 268888
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-3mdv2009.0
+ Revision: 210952
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-2mdv2008.0
+ Revision: 17202
- force dependency on perl-version

* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 17079
- Import perl-Youri-Repository



* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2008.0
- first mdv release 
